      SUBROUTINE BORNE
      INCLUDE 'param.f'
C
C Determination des bornes du domaine
C
      YMIN = 1.E+20
      YMAX = -1.E+20
      XMIN2 = XMIN
      XMAX2 = XMAX
  10  NNN = 0
      DO NC=1,NCOURB
        DO I=1,NPOINT(NC)
          J = NDEB(NC)+I
          IF (XPOINT(J).GE.XMIN2.AND.XPOINT(J).LE.XMAX2) THEN
            YMIN = AMIN1(YMIN,YPOINT(J))
            YMAX = AMAX1(YMAX,YPOINT(J))
            NNN = NNN+1
          ENDIF
        ENDDO
      ENDDO
      IF (NNN.LE.1) THEN
        DX = .1*(XMAX-XMIN)
        XMAX2 = XMAX2+DX
        XMIN2 = XMIN2-DX
        GOTO 10
      ENDIF
C
      END
